Wallet: Repeat Check for Wallet with delay

This commit is contained in:
Daniel Pätzold
2026-04-12 19:18:34 +02:00
parent df29674158
commit df498ca45a
2 changed files with 11 additions and 4 deletions
+3 -2
View File
@@ -52,7 +52,8 @@ if [[ ! -z ${WALLET_PID} ]]; then
exit 1 exit 1
fi fi
fi fi
kill ${WALLET_PID} && sleep 0.5 && echo "Service kwalletd6 (${WALLET_PID}) was stopped." echo "Stopping kwalletd6 with PID ${WALLET_PID}"
kill ${WALLET_PID} && sleep 0.5
if [[ $? -ne 0 ]]; then if [[ $? -ne 0 ]]; then
echo "Kwallet Service could not be stopped, please check why." echo "Kwallet Service could not be stopped, please check why."
exit 1 exit 1
@@ -112,5 +113,5 @@ if [[ $? -ne 0 ]]; then
echo "Error bind mounting secure Files to Wallet. Please check what went wrong." echo "Error bind mounting secure Files to Wallet. Please check what went wrong."
exit 1 exit 1
fi fi
echo "Done setting up kwallet from secure user folder."
exit 0 exit 0
+8 -2
View File
@@ -15,7 +15,13 @@ nohup kwalletd6 >/dev/null 2>&1 &
sleep 1 sleep 1
#Check if kwalletd is enabled now #Check if kwalletd is enabled now
QB_RESULT=$( $(dirname $0)/qbus_wallet_exec.sh isEnabled 2>/dev/null || true ) for i in $(seq 1 4); do
QB_RESULT=$( $(dirname $0)/qbus_wallet_exec.sh isEnabled )
if [[ "$QB_RESULT" == "true" ]]; then
break
fi
sleep 2
done
if [[ "$QB_RESULT" != "true" ]]; then if [[ "$QB_RESULT" != "true" ]]; then
echo "Error checking if kWallet service is activated. Please Check yourself what is wrong. Return of Check was:" echo "Error checking if kWallet service is activated. Please Check yourself what is wrong. Return of Check was:"
echo "$QB_RESULT" echo "$QB_RESULT"
@@ -30,6 +36,6 @@ if [[ $? -ne 0 ]]; then
echo "Some Error opening Wallet ${WALLETNAME}. Please check." echo "Some Error opening Wallet ${WALLETNAME}. Please check."
exit 1 exit 1
fi fi
echo "Sucessfully opened Wallet ${WALLETNAME} with ID ${QB_RESULT}." echo "Sucessfully opened Wallet ${WALLETNAME} with ID ${QB_RESULT}. All is fine."
exit 0 exit 0